View Issue Details

IDProjectCategoryView StatusLast Update
0030194RunnerFunctionsPublic2018-11-19 17:27
ReporterStewart BishopAssigned ToRussell Kay 
PriorityLowSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Product Version2.2.0 
Target Version2.2.1Fixed in Version2.2.1 
Summary0030194: Functions: Using Grid accessor as argument has difference between VM and YYC
DescriptionIf you use the grid accessor as an argument to a script for VM this will work as expected however for YYC there is a difference. Using the sample project they pass in the value from the grid without an accessor and this works as expected however when you use the accessor it doesn't work.

This doesn't work on YYC as you get 3 in and 3 out then on the next set you get 2 in and 1 out rather than 3 in 2 out then 2 in 2 out.
Steps To Reproduce1) Run the sample on VM
2) Run the sample on YYC
TagsRunner
1.4 Found In
2.x Runtime Found In2.2.1.277
2.x Runtime Verified In2.2.1.279

Activities

Stewart Bishop

2018-11-12 15:58

Developer  

arg_bug.yyz (14,769 bytes)

Russell Kay

2018-11-14 11:59

Manager   ~0062044

Fixed in gitlab

Dan

2018-11-16 11:32

Adminstrator   ~0062076

Fix is in 2.2.1.278+

Stewart Bishop

2018-11-16 16:50

Developer   ~0062094

This is no longer working in YYC, ds_grid_get fails every time.

Dan

2018-11-19 13:48

Adminstrator   ~0062098

Last edited: 2018-11-19 13:49

View 2 revisions

YYC has now been fixed also - 6c07d092d4bfc93642c4f29cbb9e3c0713635e15. Re-resolving.

Dan

2018-11-19 17:27

Adminstrator   ~0062100

Closing, as they are now consistent and YYC has been updated with the change.

To clarify, as the wording of the "expected" above is kinda confusing, you get:

VM
grid value before 3
grid value after 3
grid value before 2
grid value after 2
map value before 3
map value after 3
map value before 2
map value after 2
list value before 3
list value after 3
list value before 2
list value after 2
array value before 3
array value after 3
array value before 2
array value after 2

YYC
grid value before 3
grid value after 3
grid value before 2
grid value after 2
map value before 3
map value after 3
map value before 2
map value after 2
list value before 3
list value after 3
list value before 2
list value after 2
array value before 3
array value after 3
array value before 2
array value after 2